Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class LookAndFeelDefinition

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.LookAndFeelDefinition

All Implemented Interfaces:
  Serializable

public class LookAndFeelDefinition
extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`LookAndFeelDefinition(LocalizationResource localizationResource, MarkupDefinitionId markupDefinitionId, String webAppName, String lookAndFeelFile, boolean deleted, String definitionLabel)`

Method Summary
`String` | `getDefinitionLabel()`
`LocalizationIntersectionId` | `getLocalizationIntersectionId()`
`LocalizationResource` | `getLocalizationResource()`
`LookAndFeelDefinitionId` | `getLookAndFeelDefinitionId()`
`String` | `getLookAndFeelFile()`
`MarkupDefinitionId` | `getMarkupDefinitionId()`
`String` | `getWebAppName()`
`boolean` | `isDeleted()`
`void` | `setDefinitionLabel(String definitionLabel)`
`void` | `setDeleted(boolean deleted)`
`void` | `setLocalizationResource(LocalizationResource localizationResource)`
`void` | `setLookAndFeelFile(String lookAndFeelFile)`
`void` | `setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)`
`void` | `setWebAppName(String webAppName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LookAndFeelDefinition

    public LookAndFeelDefinition(LocalizationResource localizationResource,
                                 MarkupDefinitionId markupDefinitionId,
                                 String webAppName,
                                 String lookAndFeelFile,
                                 boolean deleted,
                                 String definitionLabel)

Method Detail

### getLocalizationResource

    public LocalizationResource getLocalizationResource()

### getLocalizationIntersectionId

    public LocalizationIntersectionId getLocalizationIntersectionId()

### setLocalizationResource

    public void setLocalizationResource(LocalizationResource localizationResource)

### getLookAndFeelDefinitionId

    public LookAndFeelDefinitionId getLookAndFeelDefinitionId()

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

### setMarkupDefinitionId

    public void setMarkupDefinitionId(MarkupDefinitionId markupDefinitionId)

### getWebAppName

    public String getWebAppName()

### setWebAppName

    public void setWebAppName(String webAppName)

### getLookAndFeelFile

    public String getLookAndFeelFile()

### setLookAndFeelFile

    public void setLookAndFeelFile(String lookAndFeelFile)

### isDeleted

    public boolean isDeleted()

### setDeleted

    public void setDeleted(boolean deleted)

### getDefinitionLabel

    public String getDefinitionLabel()

### setDefinitionLabel

    public void setDefinitionLabel(String definitionLabel)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved